uniform mat4 mvp;

#pragma MSP stage(vertex)
layout(location=0) in vec4 position;
vec4 transform_position(vec4 p)
{
	return mvp*p;
}
void main()
{
	gl_Position = transform_position(position);
}

/* Expected output: vertex
layout(location=0) uniform mat4 mvp;
layout(location=0) in vec4 position;
void main()
{
	gl_Position = mvp*position;
}
*/
